Package org.h2.jmx

# Class DocumentedMBean

java.lang.Object
javax.management.StandardMBean
org.h2.jmx.DocumentedMBean

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`

public class DocumentedMBean extends StandardMBean
An MBean that reads the documentation from a resource file.

## Constructor Summary

Constructors
Constructor
Description
`DocumentedMBean(T impl, Class<T> mbeanInterface)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDescription(MBeanAttributeInfo info)`
`protected String`
`getDescription(MBeanInfo info)`
`protected String`
`getDescription(MBeanOperationInfo op)`
`protected int`
`getImpact(MBeanOperationInfo info)`

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentedMBean

public DocumentedMBean(T impl, Class<T> mbeanInterface) throws NotCompliantMBeanException
Constructor

Type Parameters:
  `T` - bean type
Parameters:
  `impl` - bean implementation
  `mbeanInterface` - bean interface class
Throws:
  `NotCompliantMBeanException` - if the mbeanInterface does not follow JMX design patterns for Management Interfaces, or if the given implementation does not implement the specified interface.

## Method Details

### getDescription

protected String getDescription(MBeanInfo info)

Overrides:
  `getDescription` in class `StandardMBean`

### getDescription

protected String getDescription(MBeanOperationInfo op)

Overrides:
  `getDescription` in class `StandardMBean`

### getDescription

protected String getDescription(MBeanAttributeInfo info)

Overrides:
  `getDescription` in class `StandardMBean`

### getImpact

protected int getImpact(MBeanOperationInfo info)

Overrides:
  `getImpact` in class `StandardMBean`